using Core.Abstractions.DomainObjects;

namespace Core.DomainObjects {
  public class MenuItem : DomainObjectBase<MenuItem> {

    public string? Icon { get; set; }
    public string? Title { get; set; }
    public string? Target { get; set; }
    public List<MenuItem>? ChildItems { get; set; }

    public override int GetHashCode() {
      throw new NotImplementedException();
    }
  }
}
